package aop.example.model;

import java.util.ArrayList;
import java.util.List;

/**
 *  
 * @author Zubairov Renat
 */
public class AlbumList {

	/**
	 *  
	 */
	private List albums = new ArrayList();

	/**
	 *  
	 *      
	 */
	public AlbumList() {
		super();
		albums.add(new Album(new User("user1"), "Picture of <b>user1</b>"));
		albums.add(new Album(new User("user2"), "Picture of <b>user2</b>"));
	}
	
	/**
	 *    
	 * @param album    
	 * @return
	 */
	public boolean addAlbum(Album album) {
		return albums.add(album);
	}
	
	/**
	 *    
	 * @param album
	 * @return
	 */
	public boolean deleteAlbum(Album album) {
		return albums.remove(album);
	}
	
	/**
	 *    .
	 * ..           
	 * @param title 
	 * @return
	 */
	public Album getAlbumByTitle(String title) {
		return (Album) albums.get(albums.indexOf(new Album(new User(), title)));
	}
	
	/**
	 *   
	 * @return
	 */
	public List getAlbums() {
		return albums;
	}

}
