package aop.example.model;

/**
 *  
 * @author Zubairov Renat
 */
public class Album implements Controlled {

	/**
	 * 
	 */
	private User owner;

	/**
	 * 
	 */
	private String title;
	
	/**
	 * 
	 * @param anowner 
	 * @param title 
	 */
	public Album(User anowner, String title) {
		super();
		setTitle(title);
		owner = anowner;
	}

	/**
	 * @return
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @param string
	 */
	public void setTitle(String string) {
		title = string;
	}

	/**
	 * @return
	 */
	public User getOwner() {
		return owner;
	}

	/**
	 *    
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return getTitle();
	}
	
	/**
	 *             
	 * ,      /
	 *     List
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		return obj.toString().equals(toString());
	}


	//   Controlled   true 
	public boolean isReadable() { return true; }
	
	//   Controlled   true
	public boolean isDeletable() { return true; }
	
	//   Controlled   true	
	public boolean isAddable()  { return true; }

}
